
function mostrar_periodos(id1,id2,tabla,ancho, alto){

  $("#dialog").dialog({
          width: ancho,
          height: alto
                 
  });
   var parametros = {"accion":'listado_periodos',"tabla":tabla,"id1":id1,"id2":id2};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){
                    $("#dialog").html(opciones);
                    
                }
            })
}

//------------------------------------------

function mostrar_asignaturas(){

   var codigo=document.getElementById('p_id1').value;
   var f=document.getElementById('fecha').value;
   var p=document.getElementById('pe_id1').value;

   if (p==''){
       alert("SELECCIONE PERIODO");
       exit;
   }

   if (codigo==''){
       alert("DIGITE C&oacute;DIGO ESTUDIANTE");
       exit;
   }

var dia=document.getElementById('d_id1').value;
var grado=document.getElementById('g_id1').value;
var curso=document.getElementById('c_id1').value;


//-----------INGRESAR REGISTROS DE INASISTENCIAS -----

if (document.getElementById('ingresar').checked){

   var parametros = {"accion":'listado_asignaturas',"dia":dia,"grado":grado,"curso":curso};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){
                   document.getElementById('laborac').innerHTML=opciones;
                }})

}

//-----------ACTUALIZAR REGISTROS DE INASISTENCIAS -----
else{

    parametros = {"accion":'mostrar_eliminar_asignaturas',"codigo":codigo,"fecha":f,"periodo":p};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){
                   document.getElementById('laborac').innerHTML=opciones;
                }})

   
    parametros1 = {"accion":'mostrar_justificacion',"codigo":codigo,"fecha":f,"periodo":p};
                    $.ajax({
                    data:  parametros1,
                    url:"catalogos.php",
                    type: "POST",
                success: function(reponse){
                   
                if   (reponse!='X'){ 
                   
                   var elem = reponse.split('*');
                   
                   if (elem[0]=='SI')
                       document.getElementById('s').checked=true;
                   else
                       document.getElementById('n').checked=true;  
                   
                   document.getElementById('observa').value=elem[1];
                }
                
                
                         
                }})

    
}

}

//------------------------------------------

function eliminar_registros(orden){

   var parametros = {"accion":'eliminar_registro',"orden":orden};
                    $.ajax({
                    data:parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){
               
                }})

mostrar_asignaturas();

}


//------------------------------------------

function grabar(){

   var j;

   var p=document.getElementById('pe_id1').value;
   var codigo=document.getElementById('p_id1').value;
   var f=document.getElementById('fecha').value;

   if (document.getElementById('s').checked)
       j='SI';
   else
      j='NO';


   var ob=document.getElementById('observa').value;

   if (p==''){
       alert("SELECCIONE PERIODO");
       exit;
   }

   if (codigo==''){
       alert("DIGITE C&oacute;DIGO ESTUDIANTE");
       exit;
   }

   if (f==''){
       alert("DIGITE FECHA");
       exit;
   }

   if (document.getElementById('ingresar').checked){

         var parametros = {"accion":'grabar',"codigo":codigo,"fecha":f,"periodo":p,
                          "justificacion":j,"observacion":ob};
                           $.ajax({
                           data:  parametros,
                           url:"catalogos.php",
                           type: "POST",
                           success: function(opciones){
                           alert(opciones);
                   
                   if (opciones!='REGISTROS EXISTENTES')
                       limpiar1();
                }})

   }
   else{
   
                var parametros = {"accion":'actualizar',"codigo":codigo,"fecha":f,"periodo":p,
                          "justificacion":j,"observacion":ob};
                           $.ajax({
                           data:  parametros,
                           url:"catalogos.php",
                           type: "POST",
                           success: function(opciones){
                           alert(opciones);
                           limpiar1();
                }})
   }


}

//------------------------------------------

function reporte_fallas(){

  var codigo=document.getElementById('p_id1').value;
  
  window.open('reporte_fallas.php?codigo='+codigo,"width=1000,height=500,scrollbars=NO");
  
}


//------------------------------------------

function mostrar_alumno(){

   var codigo=document.getElementById('p_id1').value;

   var parametros = {"accion":'listado_alumno',"codigo":codigo};
                    $.ajax({
                    data:  parametros,
                    url:"catalogos.php",
                    type: "POST",
                success: function(opciones){

                var elem = opciones.split('*');
                document.getElementById('p_id2').value=elem[0];
                document.getElementById('g_id1').value=elem[1];
                document.getElementById('g_id2').value=elem[2];
                document.getElementById('c_id1').value=elem[3];
                document.getElementById('c_id2').value=elem[4];
    
                }})

}

//------------------------------------------------

function dia(){

var dias = new Array("LUNES","MARTES","MIERCOLES","JUEVES","VIERNES","SABADO","DOMINGO");

var f=document.getElementById('fecha').value;
var elem = f.split('/');

ms = Date.parse(elem[2]+"-"+elem[1]+"-"+elem[0]);

var fecha_actual = new Date(ms);

var n;
n=parseInt(fecha_actual.getDay());

if (n==6){
    document.getElementById('d_id1').value=1;
}
if (n==5){
    document.getElementById('d_id1').value=7;
}
if (n==4){
    document.getElementById('d_id1').value=6;
}
if (n==3){
    document.getElementById('d_id1').value=5;
}
if (n==2){
    document.getElementById('d_id1').value=4;
}
if (n==1){
    document.getElementById('d_id1').value=3;
}
if (n==0){
    document.getElementById('d_id1').value=2;
}

document.getElementById('d_id2').value=dias[fecha_actual.getDay()];

}

//------------------------------------------------
function fecha(){

    var dias = new Array("DOMINGO","LUNES","MARTES","MIERCOLES","JUEVES","VIERNES","SABADO");
    var meses = new Array ("01","02","03","04","05","06","07","08","09","10","11","12");
    var fecha_actual = new Date();

//    alert("Hoy es " + dias_semana[fecha_actual.getDay()] + " dia " + fecha_actual.getDate() + " de " + meses[fecha_actual.getMonth()] + " de " + fecha_actual.getFullYear());

    var f=fecha_actual.getDate()+"/"+meses[fecha_actual.getMonth()]+"/"+fecha_actual.getFullYear();

    if (f.length==9){
        f="0"+f;
    }

    document.getElementById('fecha').value=f;

    document.getElementById('d_id1').value=parseInt(fecha_actual.getDay()+1);
    document.getElementById('d_id2').value=dias[fecha_actual.getDay()];
}

//------------------------------------------------

function mostrar_lista(id1,id2,codigo,nombre){

    document.getElementById(id1).value=codigo;
    document.getElementById(id2).value=nombre;

    $("#dialog").click(function () {
            $(this).dialog('close');
    });
}

//--------------------------------------

function activar(codigo){

var cd=document.getElementById(codigo).checked;

var parametros = {"accion":'activar',"codigo":codigo,"estado":cd};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post'

        });

}

//--------------------------------------

function cambiar_ih(codigo){

var ih=document.getElementById('T_'+codigo).value;

var parametros = {"accion":'cambiar',"codigo":codigo,"ih":ih};
        $.ajax({
                data:  parametros,
                url:   'catalogos.php',
                type:  'post'

        });

}


//--------------------------------------------------------

function limpiar1(){

  document.getElementById('ingresar').checked=true;
  document.getElementById('observa').value='.';

  document.getElementById('p_id1').value='';
  document.getElementById('p_id2').value='';

  document.getElementById('g_id1').value='';
  document.getElementById('g_id2').value='';

  document.getElementById('c_id1').value='';
  document.getElementById('c_id2').value='';

  document.getElementById('laborac').innerHTML='';

  document.getElementById('p_id1').focus();
  
}

